#ifndef _E3D_CLONE_MANAGER_
#define _E3D_CLONE_MANAGER_

#include <easy3d.h>
#include <map>

namespace HPL {
namespace E3D {
/** バッファ情報
  *
  */
class E3DSigBufferData {
public:
	int m_nBufferSize;
	char* m_lpczBuffer;
public:
	E3DSigBufferData();
	~E3DSigBufferData();

};
/** SigファイルやQuaデータのクローニング管理
  * クローン用マスタデータも管理する。
  */
class E3DCloneManager {
private:
	//! <userid, buffer> マスタバッファ
	std::map<int, E3DSigBufferData*> m_mapMasterBufferMap;
public:
	E3DCloneManager();
	~E3DCloneManager();

	/** マスタバッファを作成し、保存する
	  * @param[in]	nUserID					管理用ID
	  * @param[in]	nSigID					保存元SigID
	  */
	int add_MasterBuffer( int nUserID, int nSigID);
	E3DSigBufferData* get_MasterBuffer( int nUserID );
};
}
}
#endif
